Subject: HPR MIB -01 draft

From: Bob Clouston <[email-masked]>
Date: Wed, 8 May 1996 17:56:09 -0400 (EDT)

Here is the latest HPR draft for you to look over, then Bob can put it
out to the AIW doc repository if OK.  
=============================================================================

                     Definitions of Managed Objects
                                for HPR

                              May 10, 1996

                         Bob Clouston (editor)
                             Cisco Systems
                           [email-masked]

                           Bob Moore (editor)
                            IBM Corporation
                      [email-masked]

                   <draft-ietf-snanau-hprmib-02.txt>

1.  Status of this Memo

This document is an Internet-Draft.  Internet-Drafts are working
documents of the Internet Engineering Task Force (IETF), its areas, and
its working groups.  Note that other groups may also distribute working
documents as Internet-Drafts.

Internet-Drafts are draft documents valid for a maximum of six months.
Internet-Drafts may be updated, replaced, or obsoleted by other
documents at any time.  It is not appropriate to use Internet-Drafts as
reference material or to cite them other than as a working draft or work
in progress.

To learn the current status of any Internet-Draft, please check the
1id-abstracts.txt listing contained in the Internet-Drafts Shadow
Directories on ds.internic.net, nic.nordu.net, ftp.isi.edu, or
munnari.oz.au.

2.  Introduction

This memo defines a portion of the Management Information Base (MIB) for
use with network management protocols in the Internet community.  In
particular, it defines objects for monitoring and controlling network

Expires November 10, 1996                                       [Page 1]

Internet Draft               SNANAU HPR MIB                     May 1996

devices with HPR (High Performance Routing) capabilities.  This memo
identifies managed objects for the HPR protocol.

This memo does not specify a standard for the Internet community.

3.  The SNMPv2 Network Management Framework

The SNMP Network Management Framework consists of several components.
For the purpose of this specification, the applicable components of the
Framework are the SMI and related documents [1, 2, 3], which define the
mechanisms used for describing and naming objects for the purpose of
management.

The Framework permits new objects to be defined for the purpose of
experimentation and evaluation.

4.  Overview

This document identifies the proposed set of objects for monitoring the
configuration and active characteristics of devices with HPR
capabilities.  HPR is an enhancement to the APPN architecture that
provides fast data routing and improved session reliability.  APPN is
one of the protocols that can use the HPR transport mechanism.  See the
SNANAU APPN MIB [4] for management of APPN and APPN use of the HPR
transport.

Automatic Network Routing (ANR) is a fast low-level routing technique.
Each node assigns a unique (within that node) ANR label for each out-
bound link as it is activated.  The label size is defined by the ANR
node, and node's only need to know how to interpret their own labels.
The ANR string is a group of ANR labels encoded in a header in front of
the message being sent.  At each hop the node strips off its own ANR
label and forwards the message onto the link with that label.  The last
label in the string is the Network Connection Endpoint (NCE), which
identifies the component within the destination node that is to receive
the message.

Rapid Transport Protocol (RTP) is an end-to-end full duplex transport
connection (pipe).  It provides a high-speed transport of data using
ANR.  RTP is connection-oriented, and delivers data in correct order
reliably.  Error recovery is done efficiently with selective
retransmission of data.  An RTP path can be switched without disruption
to the sessions using it.  An RTP path switch may be done automatically
if a link in the path fails and another RTP path is available, or on

Expires November 10, 1996                                       [Page 2]

Internet Draft               SNANAU HPR MIB                     May 1996

demand to restore the optimal path.

RTP performs flow/congestion control with the Adaptive Rate-Based (ARB)
algorithm.  ARB is done only at the endpoints of the RTP pipe, so
intermediate hops are not involved.  ARB regulates the flow of data over
an RTP connection by adaptively changing the sender's rate based on
feedback on the receiver's rate.  It is designed to prevent congestion
rather than react to it.

In this document, we describe HPR managed objects.

The HPR terms and overall architecture are available from the
networking.raleigh.ibm.com ftp site [5].

Highlights of the management functions supported by the HPR MIB module
include the following:

o    Identifying network connection endpoints (NCEs).

o    Monitoring the RTP connections between nodes supporting the HPR
     Transport Tower.

o    Ability to trigger an RTP path switch

o    Historical information about RTP path switch attempts

o    NCL counters (flagged for removal)

This MIB module does not support:

o    Configuration of HPR nodes.

o    Protocol-specific uses of HPR (such as APPN)

o    Traps

4.1.  HPR MIB Structure

The HPR MIB module contains the following groups of objects:

Expires November 10, 1996                                       [Page 3]

Internet Draft               SNANAU HPR MIB                     May 1996

o    hprTransportUser - objects related to users of the HPR transport.

o    hprRtp - objects related to the HPR Transport Tower.

o    hprNcl - objects providing ANR statistics (flagged for removal)

These groups are described below in more detail.

4.1.1.  hprTransportUser group

The hprTransportUser group consists of the following table:

1) hprNceTable

This table identifies network connection endpoints and their function
types.  The function type can be any combination of a CP, LU, boundary
function, and route setup.

4.1.2.  hprRtp group

The hprRtp group consists of the following objects and tables

1) hprRtpGlobe

These objects contain information about the number of RTP connection
setups, and control of RTP counters.

2) hprRtpTable

This table contains one entry for each RTP connection.  The information
includes local and remote NCE IDs and TCIDs, timers, send rates, and
statistics.

3) hprRtpStatusTable

This table contains statistics and historical information for RTP path
switches attempts, including old and new ANR strings and RSCVs, why the
path switch was initiated, and the result (successful or reason for
failure).

Expires November 10, 1996                                       [Page 4]

Internet Draft               SNANAU HPR MIB                     May 1996

4.1.3.  hprNcl group

This group will be removed unless comments are received in favor of the
group.

Expires November 10, 1996                                       [Page 5]

Internet Draft               SNANAU HPR MIB                     May 1996

5.  Definitions

HPR-MIB DEFINITIONS ::= BEGIN

  IMPORTS
        DisplayString, DateAndTime
                FROM SNMPv2-TC

        experimental, Counter32, Gauge32, Integer32, TimeTicks,
        OBJECT-TYPE, MODULE-IDENTITY
                FROM SNMPv2-SMI

        MODULE-COMPLIANCE, OBJECT-GROUP
                FROM SNMPv2-CONF;

hprMIB MODULE-IDENTITY
        LAST-UPDATED  "9605010000Z"
        ORGANIZATION  "AIW APPN / HPR MIB SIG"
        CONTACT-INFO

                "

                        Bob Clouston
                        Cisco Systems
                        7025 Kit Creek Road
                        P.O. Box 14987
                        Research Triangle Park, NC 27709, USA
                        Tel:    1 919 472 2333
                        E-mail: [email-masked]

                        Bob Moore
                        IBM Corporation
                        800 Park Offices Drive
                        E87/664
                        P.O. Box 12195
                        Research Triangle Park, NC 27709, USA
                        Tel:    1 919 254 4436
                        E-mail: [email-masked]
                "
      DESCRIPTION
                "This is the MIB module for objects used to
                 manage network devices with HPR capabilities."
::= { experimental 1001 }
-- *********************************************************************
  hprObjects         OBJECT IDENTIFIER ::= { hprMIB 1 }
-- *********************************************************************

Expires November 10, 1996                                       [Page 6]

Internet Draft               SNANAU HPR MIB                     May 1996

-- *********************************************************************
-- Textual Convention
-- ---------------------------------------------------------------------

-- **********************************************************************
hprTransportUser     OBJECT IDENTIFIER ::= { hprObjects 1}
-- **********************************************************************
-- Transport Service User (TU) Table: (RTP Connection Users)
--
-- There will be several users of the HPR transport and each HPR node
-- shall maintain a table of these users.
-- **********************************************************************

hprNceTable OBJECT-TYPE
      SYNTAX SEQUENCE OF HprNceEntry
      MAX-ACCESS not-accessible
      STATUS current
      DESCRIPTION
          "The Network Connection Endpoint (NCE) table."
      ::= { hprTransportUser 1 }

hprNceEntry OBJECT-TYPE
      SYNTAX HprNceEntry
      MAX-ACCESS not-accessible
      STATUS current
      DESCRIPTION
          "The NCE id is used to index this table."

      INDEX  { hprNceId }

      ::= { hprNceTable 1 }

HprNceEntry ::= SEQUENCE {
     hprNceId            OCTET STRING,
     hprNceType          INTEGER,
     hprNceDefault       INTEGER,
     hprNceInstanceId    OCTET STRING
     }

hprNceId OBJECT-TYPE
      SYNTAX OCTET STRING (SIZE (1..8))
      MAX-ACCESS not-accessible
      STATUS current
      DESCRIPTION
          "The Network Connection Endpoint (NCE) id.  NCEs identify

Expires November 10, 1996                                       [Page 7]

Internet Draft               SNANAU HPR MIB                     May 1996

          Control Points (Cp), Logical Units (Lu), HPR Boundary
          Functions (Bf) and Route Setup (Rs) Functions."

      ::= { hprNceEntry 1 }

hprNceType OBJECT-TYPE
      SYNTAX INTEGER {
                      cp(1),
                      lu(2),
                      luCp(3),
                      bf(4),
                      bfCp(5),
                      bfLu(6),
                      bfLuCp(7),
                      rs(8),
                      rsCp(9),
                      rsLu(10),
                      rsLuCp(11),
                      rsBf(12),
                      rsBfCp(13),
                      rsBfLu(14),
                      rsBfLuCp(15)
                     }
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The Network Connection Endpoint (NCE) may provide one or more
          function types.  These function types are encoded such that a
          bit is set to '1' if the corresponding function type is
          supported by this NCE:

              bit 0:     Control Point Functions (Cp)
              bit 1:     Logical Unit Functions  (Lu)
              bit 2:     Boundary Functions      (Bf)
              bit 3:     Route Setup Functions   (Rs)
              bit 4-31:  reserved, always '0'
          "

      ::= { hprNceEntry 2 }

hprNceDefault OBJECT-TYPE
      SYNTAX INTEGER {
                      cp(1),
                      lu(2),
                      luCp(3),

Expires November 10, 1996                                       [Page 8]

Internet Draft               SNANAU HPR MIB                     May 1996

                      bf(4),
                      bfCp(5),
                      bfLu(6),
                      bfLuCp(7),
                      rs(8),
                      rsCp(9),
                      rsLu(10),
                      rsLuCp(11),
                      rsBf(12),
                      rsBfCp(13),
                      rsBfLu(14),
                      rsBfLuCp(15)
                     }
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "Indicates whether or not this NCE is the default for one or
          more function types.  These function types are encoded such
          that a bit is set to '1' if the corresponding function type
          uses this NCE as the default:

              bit 0:     Control Point Functions (Cp)
              bit 1:     Logical Unit Functions  (Lu)
              bit 2:     Boundary Functions      (Bf)
              bit 3:     Route Setup Functions   (Rs)
              bit 4-31:  reserved, always '0'
          "

      ::= { hprNceEntry 3 }

hprNceInstanceId   OBJECT-TYPE
      SYNTAX OCTET STRING (SIZE (4))
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The NCE instance identifier (NCEII) identifying the current
          instance of this NCE."

      ::= { hprNceEntry 4 }

-- **********************************************************************
hprRtp               OBJECT IDENTIFIER ::= { hprObjects 2}
hprRtpGlobe          OBJECT IDENTIFIER ::= { hprRtp 1}
-- **********************************************************************
--
-- The RTP group shall be implemented by all managed nodes which

Expires November 10, 1996                                       [Page 9]

Internet Draft               SNANAU HPR MIB                     May 1996

-- implement the HPR Transport Tower.
-- The group contains several scalars (simple objects) and a table.
-- **********************************************************************

hprRtpGlobeConnSetups  OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The total number of RTP connection setups in which this node
          has participated, as either sender or receiver, since it was
          last reinitialized.  Retries of a setup attempt do not cause
          the counter to be incremented."

      ::= { hprRtpGlobe 1 }

hprRtpGlobeCtrState OBJECT-TYPE
      SYNTAX INTEGER {
                      notActive(1),
                      active(2)
                     }
      MAX-ACCESS read-write
      STATUS current
      DESCRIPTION
          "This object allows a network management station to turn the
          counters in the hprRtpTable on and off.

              notActive(1) - these counters are not being incremented;
                             their values are always zero
              active(2)    - these counters are being incremented"

      ::= { hprRtpGlobe 2 }

hprRtpGlobeCtrStateTime OBJECT-TYPE
      SYNTAX DateAndTime
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The time when the value of the hprRtpGlobeCtrState object last
          changed.  This time can be used to identify when this change
          occurred in relation to other events in the agent, such as the
          last time the APPN node was re-initialized, and thus it can be
          of use in determining how to interpret the values of the
          counter objects."

      ::= { hprRtpGlobe 3 }

Expires November 10, 1996                                      [Page 10]

Internet Draft               SNANAU HPR MIB                     May 1996

-- **********************************************************************
-- The RTP Connection Table
-- There may be many RTP connections on a node supporting the
-- HPR Transport Tower.   Each tower node shall maintain a table
-- of these RTP connections.
-- **********************************************************************

hprRtpTable OBJECT-TYPE
      SYNTAX SEQUENCE OF HprRtpEntry
      MAX-ACCESS not-accessible
      STATUS current
      DESCRIPTION
          "The RTP Connection table"

      ::= { hprRtp 2 }

hprRtpEntry OBJECT-TYPE
      SYNTAX HprRtpEntry
      MAX-ACCESS not-accessible
      STATUS current
      DESCRIPTION
          "The local NCE id and local TCID are used to index this table."

      INDEX
             { hprRtpLocNceId,
               hprRtpLocTcid }

      ::= { hprRtpTable 1 }

HprRtpEntry ::= SEQUENCE {
     hprRtpLocNceId            OCTET STRING, -- local nce id
     hprRtpLocTcid             OCTET STRING, -- local tcid
     hprRtpRemCpName           DisplayString,-- remote cp name
     hprRtpRemNceId            OCTET STRING, -- remote nce id
     hprRtpRemTcid             OCTET STRING, -- remote tcid
     hprRtpForAnrString        OCTET STRING, -- forward anr string
     hprRtpRscv                OCTET STRING, -- rscv
     hprRtpTopic               DisplayString,-- topic (cos)
     hprRtpState               INTEGER,      -- state
     hprRtpType                INTEGER,      -- type (reliable, etc)
     hprRtpUpTime              TimeTicks,    -- up time

     hprRtpLivenessTimer       Integer32,    -- liveness timer
     hprRtpShortReqTimer       Integer32,    -- short request timer
     hprRtpPathSwTimer         Integer32,    -- path switch timer

Expires November 10, 1996                                      [Page 11]

Internet Draft               SNANAU HPR MIB                     May 1996

     hprRtpLivenessTimeouts    Counter32,    -- liveness timeouts
     hprRtpShortReqTimeouts    Counter32,    -- short request timeouts

     hprRtpMaxSendRate         Integer32,    -- maximum send rate
     hprRtpMinSendRate         Integer32,    -- minimum send rate
     hprRtpCurSendRate         Gauge32,      -- current send rate

     hprRtpSmRdTripDelay       Integer32,    -- smooth round trip delay

     hprRtpRecvFrames          Counter32,    -- total frames recv
     hprRtpSendFrames          Counter32,    -- total frames sent
     hprRtpRecvBytes           Counter32,    -- total bytes  recv
     hprRtpSendBytes           Counter32,    -- total bytes  sent

     hprRtpRetrFrames          Counter32,    -- total frames retran
     hprRtpDetectGaps          Counter32,    -- total gaps detected
     hprRtpRateReqSends        Counter32,    -- total rate req send

     hprRtpOkErrPathSws        Counter32,    -- ok  err path sws
     hprRtpBadErrPathSws       Counter32,    -- bad err path sws
     hprRtpOkOpPathSws         Counter32,    -- ok  op  path sws
     hprRtpBadOpPathSws        Counter32     -- bad op  path sws
        }

hprRtpLocNceId OBJECT-TYPE
      SYNTAX OCTET STRING (SIZE (1..8))
      MAX-ACCESS not-accessible
      STATUS current
      DESCRIPTION
          "The local Network Connection Endpoint (NCE) of this RTP
          connection.  NCEs identify CPs, LUs, Boundary Functions (BFs),
          and Route Setup (RS) components."

      ::= { hprRtpEntry 1 }

hprRtpLocTcid OBJECT-TYPE
      SYNTAX OCTET STRING (SIZE (8))
      MAX-ACCESS not-accessible
      STATUS current
      DESCRIPTION
          "The local TCID of this RTP connection."

      ::= { hprRtpEntry 2 }

hprRtpRemCpName OBJECT-TYPE
      SYNTAX DisplayString (SIZE (3..17))

Expires November 10, 1996                                      [Page 12]

Internet Draft               SNANAU HPR MIB                     May 1996

      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "Administratively assigned network name for the remote node of
          this RTP connection, in the format of NETID.CPNAME."

      ::= { hprRtpEntry 4 }

hprRtpRemNceId OBJECT-TYPE
      SYNTAX OCTET STRING (SIZE (1..8))
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The remote Network Connection Endpoint (NCE) of this RTP
          connection.  NCEs identify CPs, LUs, Boundary Functions (BFs),
          and Route Setup (RS) components."

      ::= { hprRtpEntry 5 }

hprRtpRemTcid OBJECT-TYPE
      SYNTAX OCTET STRING (SIZE (8))
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The remote TCID of this RTP connection."

      ::= { hprRtpEntry 6 }

-----------------------------------------------------------------------
-- FLAGGED FOR REMOVAL: In the absence of any comments, the following
-- object will be removed from the next version of the MIB.
-----------------------------------------------------------------------
hprRtpForAnrString OBJECT-TYPE
      SYNTAX OCTET STRING
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The forward ANR string for this RTP connection."

      ::= { hprRtpEntry 7 }

hprRtpRscv OBJECT-TYPE
      SYNTAX OCTET STRING (SIZE (0..255))
      MAX-ACCESS read-write
      STATUS current
      DESCRIPTION

Expires November 10, 1996                                      [Page 13]

Internet Draft               SNANAU HPR MIB                     May 1996

          "The forward Route Selection Control Vector for this RTP
          connection.  The format of this vector is described in SNA
          Formats.

          By setting this object to a representation of a new path, a
          Management Station can trigger an attempt to switch to that new
          path.  By setting it to the empty string, it can trigger an
          attempt to switch to a new path determined by the agent's path-
          selection logic."

      ::= { hprRtpEntry 8 }

hprRtpTopic OBJECT-TYPE
      SYNTAX DisplayString (SIZE(8))
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The topic for this RTP connection.  This is used to indicate
          the Class of Service."

      ::= { hprRtpEntry 9 }

-----------------------------------------------------------------------
-- FLAGGED FOR REMOVAL: In the absence of any comments, the following
-- object will be removed from the next version of the MIB.
-----------------------------------------------------------------------
hprRtpType OBJECT-TYPE
      SYNTAX INTEGER {
                      p2pReliable (1),
                      p2pUnreliable (2)
                     }
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The type of RTP connection."

      ::= { hprRtpEntry 10 }

-- compare these states to those in the architecture <************
hprRtpState OBJECT-TYPE
      SYNTAX INTEGER {
                      rtpOpened            (1),
                      rtpCalling           (2),
                      rtpListening         (4),
                      rtpConnected         (8),
                      rtpGone              (16),

Expires November 10, 1996                                      [Page 14]

Internet Draft               SNANAU HPR MIB                     May 1996

                      rtpDisconnecting     (32),
                      rtpPendingActive     (64)
                     }
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "Connection attributes maintained by local RTP machine."

      ::= { hprRtpEntry 11 }

hprRtpUpTime OBJECT-TYPE
      SYNTAX TimeTicks
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The length of time the RTP connection has been up, measured in
          1/100ths of a second."

      ::= { hprRtpEntry 12 }

hprRtpLivenessTimer OBJECT-TYPE
      SYNTAX Integer32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The value of the liveness (ALIVE) timer of this RTP
          connection, in units of 1/100th of a second.  When this timer
          expires and no packet has arrived from the partner since it was
          last set, packets with Status Request indicators will be sent
          to see if the RTP connection is still alive."

      ::= { hprRtpEntry 13 }

hprRtpShortReqTimer  OBJECT-TYPE
      SYNTAX Integer32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The value of the RTP SHORT_REQ timer, in units of 1/100 of a
          second.  This timer represents the maximum time that a sender
          waits for a reply from a receiver."

      ::= { hprRtpEntry 14 }

hprRtpPathSwTimer OBJECT-TYPE
      SYNTAX Integer32

Expires November 10, 1996                                      [Page 15]

Internet Draft               SNANAU HPR MIB                     May 1996

      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The length of time that RTP should attempt a path switch for a
          connection upon detecting its failure, in units of 1/100th of a
          second."

      ::= { hprRtpEntry 15 }

hprRtpLivenessTimeouts OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The total number of liveness timeouts for this RTP
          connection."

      ::= { hprRtpEntry 16 }

hprRtpShortReqTimeouts OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The total number of short request timeouts for this RTP
          connection."

      ::= { hprRtpEntry 17 }

hprRtpMaxSendRate OBJECT-TYPE
      SYNTAX Integer32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The high-water mark for this RTP connection's send rate, in
          units of bytes per second."

      ::= { hprRtpEntry 18 }

hprRtpMinSendRate OBJECT-TYPE
      SYNTAX Integer32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The low-water mark for this RTP connection's send rate, in
          units of bytes per second."

Expires November 10, 1996                                      [Page 16]

Internet Draft               SNANAU HPR MIB                     May 1996

      ::= { hprRtpEntry 19 }

hprRtpCurSendRate OBJECT-TYPE
      SYNTAX Gauge32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The current send rate for this RTP connection, in units of
          bytes per second."

      ::= { hprRtpEntry 20 }

hprRtpSmRdTripDelay OBJECT-TYPE
      SYNTAX Integer32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The smoothed round trip delay for this RTP connection, in
          units of 1/1000th of a second (ms)."

      ::= { hprRtpEntry 21 }

hprRtpSendFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The total number of frames sent on this RTP connection."

      ::= { hprRtpEntry 22 }

hprRtpRecvFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The total number of frames received on this RTP connection."

      ::= { hprRtpEntry 23 }

hprRtpSendBytes OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The total number of bytes sent on this RTP connection.  Both

Expires November 10, 1996                                      [Page 17]

Internet Draft               SNANAU HPR MIB                     May 1996

          transmission header bytes and data bytes are included in this
          count."

      ::= { hprRtpEntry 24 }

hprRtpRecvBytes OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The total number of bytes received on this RTP connection.
          Both transmission header bytes and data bytes are included in
          this count."

      ::= { hprRtpEntry 25 }

hprRtpRetrFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The total number of frames retransmitted on this RTP
          connection."

      ::= { hprRtpEntry 26 }

hprRtpDetectGaps OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The total number of gaps detected on this RTP connection."

      ::= { hprRtpEntry 27 }

hprRtpRateReqSends OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The total number of Rate Requests sent on this RTP
          connection."

      ::= { hprRtpEntry 28 }

hprRtpOkErrPathSws OBJECT-TYPE

Expires November 10, 1996                                      [Page 18]

Internet Draft               SNANAU HPR MIB                     May 1996

      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The total number of successful path switch attempts for this
          RTP connection due to errors."

      ::= { hprRtpEntry 29 }

hprRtpBadErrPathSws OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The total number of unsuccessful path switch attempts for this
          RTP connection due to errors."

      ::= { hprRtpEntry 30 }

hprRtpOkOpPathSws OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The total number of successful path switch attempts for this
          RTP connection due to operator requests."

      ::= { hprRtpEntry 31 }

hprRtpBadOpPathSws OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The total number of unsuccessful path switch attempts for this
          RTP connection due to operator requests."

      ::= { hprRtpEntry 32 }

-- **********************************************************************
-- The RTP Connection Status Table
--  This table contains statistics and historical information related to
--  RTP path switch attempts.  This information can be important for both
--  trend analysis and problem determination.
--
--  It is an implementation option how many entries to keep in this

Expires November 10, 1996                                      [Page 19]

Internet Draft               SNANAU HPR MIB                     May 1996

--  table, and how long to retain any individual entry.
-- **********************************************************************
hprRtpStatusTable OBJECT-TYPE
      SYNTAX SEQUENCE OF HprRtpStatusEntry
      MAX-ACCESS not-accessible
      STATUS current
      DESCRIPTION
          "RTP Connection Status Table:  This table contains historical
          information on RTP connections.  An entry is created in this
          table when a path switch is completed, either successfully or
          unsuccessfully."

      ::= { hprRtp 3 }

hprRtpStatusEntry OBJECT-TYPE
      SYNTAX HprRtpStatusEntry
      MAX-ACCESS not-accessible
      STATUS current
      DESCRIPTION
          "This table is indexed by local NCE ID, local TCID, and
          an integer hprRtpStIndex."

      INDEX
             { hprRtpStLocNceId,
               hprRtpStLocTcid,
               hprRtpStIndex }

      ::= { hprRtpStatusTable 1 }

  HprRtpStatusEntry ::= SEQUENCE {
     hprRtpStLocNceId          OCTET STRING, -- local nce id
     hprRtpStLocTcid           OCTET STRING, -- local tcid
     hprRtpStIndex             Integer32,    -- index
     hprRtpStTime              DateAndTime,  -- time stamp
     hprRtpStRemNceId          OCTET STRING, -- remote nce id
     hprRtpStRemTcid           OCTET STRING, -- remote tcid
     hprRtpStRemCpName         DisplayString,-- remote cp name
     hprRtpStNewForAnrStr      OCTET STRING, -- new forward anr string
     hprRtpStNewRscv           OCTET STRING, -- new rscv
     hprRtpStOldForAnrStr      OCTET STRING, -- old forward anr string
     hprRtpStOldRscv           OCTET STRING, -- old rscv
     hprRtpStCause             INTEGER,      -- cause
     hprRtpStResult            INTEGER       -- result
                                          }

hprRtpStLocNceId OBJECT-TYPE

Expires November 10, 1996                                      [Page 20]

Internet Draft               SNANAU HPR MIB                     May 1996

      SYNTAX OCTET STRING (SIZE (1..8))
      MAX-ACCESS not-accessible
      STATUS current
      DESCRIPTION
          "The local Network Connection Endpoint (NCE) of this RTP
          connection.  NCEs identify CPs, LUs, Boundary Functions (BFs),
          and Route Setup (RS) components."

     ::= { hprRtpStatusEntry 1 }

hprRtpStLocTcid OBJECT-TYPE
      SYNTAX OCTET STRING (SIZE (8))
      MAX-ACCESS not-accessible
      STATUS current
      DESCRIPTION
          "The local TCID of this RTP connection."

      ::= { hprRtpStatusEntry 2 }

hprRtpStIndex OBJECT-TYPE
      SYNTAX Integer32
      MAX-ACCESS not-accessible
      STATUS current
      DESCRIPTION
          "Table index.  This value begins at zero and is incremented
          when a new entry is added to the table."

      ::= { hprRtpStatusEntry 3 }

hprRtpStTime OBJECT-TYPE
      SYNTAX DateAndTime
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The time when the path switch attempt was ended (either
          successfully or unsuccessfully)."

      ::= { hprRtpStatusEntry 4 }

hprRtpStRemCpName OBJECT-TYPE
      SYNTAX DisplayString (SIZE (3..17))
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "Administratively assigned network name for the remote node of
          this RTP connection, in the format NETID.CPNAME."

Expires November 10, 1996                                      [Page 21]

Internet Draft               SNANAU HPR MIB                     May 1996

      ::= { hprRtpStatusEntry 5 }

hprRtpStRemNceId OBJECT-TYPE
      SYNTAX OCTET STRING (SIZE (1..8))
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The remote Network Connection Endpoint (NCE) of this RTP
          connection.  NCEs identify CPs, LUs, Boundary Functions (BFs),
          and Route Setup (RS) components."

      ::= { hprRtpStatusEntry 6 }

hprRtpStRemTcid OBJECT-TYPE
      SYNTAX OCTET STRING (SIZE (8))
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The remote TCID of this RTP connection."

      ::= { hprRtpStatusEntry 7 }

-----------------------------------------------------------------------
-- FLAGGED FOR REMOVAL: In the absence of any comments, the following
-- object will be removed from the next version of the MIB.
-----------------------------------------------------------------------
hprRtpStNewForAnrStr OBJECT-TYPE
      SYNTAX OCTET STRING               -- how big? <*****************
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The new forward ANR string for this RTP connection."

      ::= { hprRtpStatusEntry 8 }

hprRtpStNewRscv OBJECT-TYPE
      SYNTAX OCTET STRING (SIZE (0..255))
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The new Route Selection Control Vector for this RTP
          connection."

      ::= { hprRtpStatusEntry 10 }

-----------------------------------------------------------------------

Expires November 10, 1996                                      [Page 22]

Internet Draft               SNANAU HPR MIB                     May 1996

-- FLAGGED FOR REMOVAL: In the absence of any comments, the following
-- object will be removed from the next version of the MIB.
-----------------------------------------------------------------------
hprRtpStOldForAnrStr OBJECT-TYPE
      SYNTAX OCTET STRING               -- how big? <*****************
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The old forward ANR string for this RTP connection."

      ::= { hprRtpStatusEntry 11 }

hprRtpStOldRscv OBJECT-TYPE
      SYNTAX OCTET STRING (SIZE (0..255))
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The old Route Selection Control Vector for this RTP
          connection."

      ::= { hprRtpStatusEntry 12 }

hprRtpStCause OBJECT-TYPE
      SYNTAX INTEGER {
                      other(1),
                      rtpConnFail(2),
                      locLinkFail(3),
                      remLinkFail(4),
                      operRequest(5)
                     }
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The reason for the path switch:

               other(1)       - Reason other than those listed below,
               rtpConnFail(2) - RTP connection failure detected,
               locLinkFail(3) - Local link failure,
               remLinkFail(4) - Remote link failure (learned from TDUs),
               operRequest(5) - Operator requested path switch. "

      ::= { hprRtpStatusEntry 13 }

-- derive a list of values from the architecture <*********************
hprRtpStResult  OBJECT-TYPE
      SYNTAX INTEGER { rtpSuccess(1),

Expires November 10, 1996                                      [Page 23]

Internet Draft               SNANAU HPR MIB                     May 1996

                       rtpDuplicateCon(2),
                       rtpClosed(3),
                       rtpSetupTimeout(4),
                       rtpRemoteDisconnect(5),
                       rtpHearbeatFailed(6),
                       rtpIncompleteMessage(7),
                       rtpUnsuccess(8)
                     }
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The result of the path switch.  If the path switch was
          unsuccessful, the result also indicates the reason why the path
          switch failed (if known)."

      ::= { hprRtpStatusEntry 14 }

-- **********************************************************************
hprNcl               OBJECT IDENTIFIER ::= { hprObjects 3 }
hprNclGlobe          OBJECT IDENTIFIER ::= { hprNcl  1}
-- **********************************************************************
  --
  -- The hprNcl group applies to both intermediate and end nodes.
-- **********************************************************************

  hprNclGlobeCtrState  OBJECT-TYPE
      SYNTAX INTEGER {
                        notActive(1),
                        active(2)
                       }
      MAX-ACCESS read-write
      STATUS current
      DESCRIPTION
             "This object is used for a network management station
              to turn on/off the optional counters in the
              hprNclTable.
              notActive(1) - these counters are not being incremented;
                             their values are always zero
              active(2) - these counters are being incremented"

      ::= { hprNclGlobe 1 }

hprNclGlobeCtrStateTime OBJECT-TYPE
      SYNTAX DateAndTime
      MAX-ACCESS read-only
      STATUS current

Expires November 10, 1996                                      [Page 24]

Internet Draft               SNANAU HPR MIB                     May 1996

      DESCRIPTION
          "The time when the hprRtpGlobeCtrState object last changed its
          value."

      ::= { hprNclGlobe 2 }

hprNclGlobeAssignAnrs OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The total number of ANRs assigned by this node since it was
          last initialized."

      ::= { hprNclGlobe 3 }

hprUpTime OBJECT-TYPE
      SYNTAX TimeTicks
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "Time (in hundredths of a second) since this HPR component
          was last initialized."

      ::=  { hprNclGlobe 4 }

-----------------------------------------------------------------------
-- FLAGGED FOR REMOVAL: In the absence of any comments, the following
-- table (i.e., all 43 objects) will be removed from the next version
-- of the MIB.
-----------------------------------------------------------------------
-- **********************************************************************
  -- The HPR NCL Table
  -- This table contains the counters for ANR routing
-- **********************************************************************

  hprNclTable OBJECT-TYPE
      SYNTAX SEQUENCE OF HprNclEntry
      MAX-ACCESS not-accessible
      STATUS current
      DESCRIPTION
          "The HPR NCL table."

      ::= { hprNcl 2 }

  hprNclEntry OBJECT-TYPE

Expires November 10, 1996                                      [Page 25]

Internet Draft               SNANAU HPR MIB                     May 1996

      SYNTAX HprNclEntry
      MAX-ACCESS not-accessible
      STATUS current
      DESCRIPTION
             "The EnvId is used as the index to this table."

      INDEX
             { hprNclEnvId }

      ::= { hprNclTable 1 }

  HprNclEntry ::= SEQUENCE {
     hprNclEnvId               Integer32,    -- environ id (slot)
     -- receive frame/byte counters from dlc by priority
     hprNclDlcRecvNetFrames    Counter32,    -- dcl recv network frames

     hprNclDlcRecvHiFrames     Counter32,    -- dcl recv high    frames
     hprNclDlcRecvMedFrames    Counter32,    -- dcl recv medium  frames
     hprNclDlcRecvLoFrames     Counter32,    -- dcl recv low     frames
     hprNclDlcRecvNetBytes     Counter32,    -- dcl recv network bytes
     hprNclDlcRecvHiBytes      Counter32,    -- dcl recv high    bytes
     hprNclDlcRecvMedBytes     Counter32,    -- dcl recv medium  bytes
     hprNclDlcRecvLoBytes      Counter32,    -- dcl recv low     bytes
     hprNclDlcRecvAnrErrors    Counter32,    -- dcl recv anr errors
     -- send    frame/byte counters to   dlc by priority
     hprNclDlcSendNetFrames    Counter32,    -- dcl send network frames
     hprNclDlcSendHiFrames     Counter32,    -- dcl send high    frames
     hprNclDlcSendMedFrames    Counter32,    -- dcl send medium  frames
     hprNclDlcSendLoFrames     Counter32,    -- dcl send low     frames
     hprNclDlcSendNetBytes     Counter32,    -- dcl send network bytes
     hprNclDlcSendHiBytes      Counter32,    -- dcl send high    bytes
     hprNclDlcSendMedBytes     Counter32,    -- dcl send medium  bytes
     hprNclDlcSendLoBytes      Counter32,    -- dcl send low     bytes
     -- receive frame/byte counters from rtp by priority
     hprNclRtpRecvNetFrames    Counter32,    -- rtp recv network frames
     hprNclRtpRecvHiFrames     Counter32,    -- rtp recv high    frames
     hprNclRtpRecvMedFrames    Counter32,    -- rtp recv medium  frames
     hprNclRtpRecvLoFrames     Counter32,    -- rtp recv low     frames
     hprNclRtpRecvNetBytes     Counter32,    -- rtp recv network bytes
     hprNclRtpRecvHiBytes      Counter32,    -- rtp recv high    bytes
     hprNclRtpRecvMedBytes     Counter32,    -- rtp recv medium  bytes
     hprNclRtpRecvLoBytes      Counter32,    -- rtp recv low     bytes
     hprNclRtpRecvAnrErrors    Counter32,    -- rtp recv anr errors
     -- send    frame/byte counters to   rtp by priority
     hprNclRtpSendNetFrames    Counter32,    -- dcl send network frames

Expires November 10, 1996                                      [Page 26]

Internet Draft               SNANAU HPR MIB                     May 1996

     hprNclRtpSendHiFrames     Counter32,    -- dcl send high    frames
     hprNclRtpSendMedFrames    Counter32,    -- dcl send medium  frames
     hprNclRtpSendLoFrames     Counter32,    -- dcl send low     frames
     hprNclRtpSendNetBytes     Counter32,    -- dcl send network bytes
     hprNclRtpSendHiBytes      Counter32,    -- dcl send high    bytes
     hprNclRtpSendMedBytes     Counter32,    -- dcl send medium  bytes
     hprNclRtpSendLoBytes      Counter32,    -- dcl send low     bytes
     -- send    frame/byte counters to another local routing ncl
     hprNclInterSendNetFrames  Counter32,    -- int send network frames
     hprNclInterSendHiFrames   Counter32,    -- int send high    frames
     hprNclInterSendMedFrames  Counter32,    -- int send medium  frames
     hprNclInterSendLoFrames   Counter32,    -- int send low     frames
     hprNclInterSendNetBytes   Counter32,    -- int send network bytes
     hprNclInterSendHiBytes    Counter32,    -- int send high    bytes
     hprNclInterSendMedBytes   Counter32,    -- int send medium  bytes
     hprNclInterSendLoBytes    Counter32     -- int send low     bytes
        }

  hprNclEnvId OBJECT-TYPE
      SYNTAX Integer32
      MAX-ACCESS not-accessible
      STATUS current
      DESCRIPTION
             "The product's internal environment id for this NCL,
              e.g., adapter number, address space number."

      ::= { hprNclEntry   1 }

  hprNclDlcRecvNetFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of network priority frames received
              from the data control layer (dlc)."

      ::= { hprNclEntry   2 }

  hprNclDlcRecvHiFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of high priority frames received
              from the data control layer (dlc)."

Expires November 10, 1996                                      [Page 27]

Internet Draft               SNANAU HPR MIB                     May 1996

      ::= { hprNclEntry   3 }

  hprNclDlcRecvMedFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of medium priority frames received
              from the data control layer (dlc)."

      ::= { hprNclEntry   4 }

  hprNclDlcRecvLoFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of low priority frames received
              from the data control layer (dlc)."

      ::= { hprNclEntry   5 }

  hprNclDlcRecvNetBytes OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION

             "The total number of network priority bytes received
              from the data control layer (dlc)."

      ::= { hprNclEntry   6 }

  hprNclDlcRecvHiBytes OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of high priority bytes received
              from the data control layer (dlc)."

      ::= { hprNclEntry   7 }

  hprNclDlcRecvMedBytes  OBJECT-TYPE
      SYNTAX Counter32

Expires November 10, 1996                                      [Page 28]

Internet Draft               SNANAU HPR MIB                     May 1996

      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of medium priority bytes received
              from the data control layer (dlc)."

      ::= { hprNclEntry   8 }

  hprNclDlcRecvLoBytes OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of low priority bytes received
              from the data control layer (dlc)."

      ::= { hprNclEntry   9 }

  hprNclDlcRecvAnrErrors OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of frames containing anr errors
              which were received from the data control layer (dlc)."

      ::= { hprNclEntry  10 }

  hprNclDlcSendNetFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of network priority frames sent to

              the data control layer (dlc)."

      ::= { hprNclEntry  11 }

  hprNclDlcSendHiFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of high priority frames sent to

Expires November 10, 1996                                      [Page 29]

Internet Draft               SNANAU HPR MIB                     May 1996

              the data control layer (dlc)."

      ::= { hprNclEntry  12 }

  hprNclDlcSendMedFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of medium priority frames sent to
              the data control layer (dlc)."

      ::= { hprNclEntry  13 }

  hprNclDlcSendLoFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of low priority frames sent to
              the data control layer (dlc)."

      ::= { hprNclEntry  14 }

  hprNclDlcSendNetBytes OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of network priority bytes sent to
              the data control layer (dlc)."

      ::= { hprNclEntry  15 }

  hprNclDlcSendHiBytes OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of high priority bytes sent to
              the data control layer (dlc)."

      ::= { hprNclEntry  16 }

  hprNclDlcSendMedBytes  OBJECT-TYPE

Expires November 10, 1996                                      [Page 30]

Internet Draft               SNANAU HPR MIB                     May 1996

      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of medium priority bytes sent to
              the data control layer (dlc)."

      ::= { hprNclEntry  17 }

  hprNclDlcSendLoBytes OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of low priority bytes sent to
              the data control layer (dlc)."

      ::= { hprNclEntry  18 }

  hprNclRtpRecvNetFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of network priority frames received
              from a local RTP connection."

      ::= { hprNclEntry  19 }

  hprNclRtpRecvHiFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of high priority frames received
              from a local RTP connection."

      ::= { hprNclEntry  20 }

  hprNclRtpRecvMedFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of medium priority frames received
              from a local RTP connection."

Expires November 10, 1996                                      [Page 31]

Internet Draft               SNANAU HPR MIB                     May 1996

      ::= { hprNclEntry  21 }

  hprNclRtpRecvLoFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of low priority frames received
              from a local RTP connection."

      ::= { hprNclEntry  22 }

  hprNclRtpRecvNetBytes OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of network priority bytes received
              from a local RTP connection."

      ::= { hprNclEntry  23 }

  hprNclRtpRecvHiBytes OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of high priority bytes received
              from a local RTP connection."

      ::= { hprNclEntry  24 }

  hprNclRtpRecvMedBytes  OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of medium priority bytes received
              from a local RTP connection."

      ::= { hprNclEntry  25 }

  hprNclRtpRecvLoBytes OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current

Expires November 10, 1996                                      [Page 32]

Internet Draft               SNANAU HPR MIB                     May 1996

      DESCRIPTION
             "The total number of low priority bytes received
              from a local RTP connection."

      ::= { hprNclEntry  26 }

  hprNclRtpRecvAnrErrors OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of frames containing anr errors
              which were received from a local RTP connection."

      ::= { hprNclEntry  27 }

  hprNclRtpSendNetFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of network priority sent to
              a local RTP connection."

      ::= { hprNclEntry  28 }

  hprNclRtpSendHiFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of high priority frames sent to
              a local RTP connection."

      ::= { hprNclEntry  29 }

  hprNclRtpSendMedFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of medium priority frames sent to
              a local RTP connection."

      ::= { hprNclEntry  30 }

Expires November 10, 1996                                      [Page 33]

Internet Draft               SNANAU HPR MIB                     May 1996

  hprNclRtpSendLoFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of low priority frames sent to
              a local RTP connection."

      ::= { hprNclEntry  31 }

  hprNclRtpSendNetBytes OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of network priority bytes sent to
              a local RTP connection."

      ::= { hprNclEntry  32 }

  hprNclRtpSendHiBytes OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of high priority bytes sent to
              a local RTP connection."

      ::= { hprNclEntry  33 }

  hprNclRtpSendMedBytes  OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of medium priority bytes sent to
              a local RTP connection."

      ::= { hprNclEntry  34 }

  hprNclRtpSendLoBytes OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION

Expires November 10, 1996                                      [Page 34]

Internet Draft               SNANAU HPR MIB                     May 1996

             "The total number of low priority bytes sent to
              a local RTP connection."

      ::= { hprNclEntry  35 }

  hprNclInterSendNetFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of network priority sent to
              another local routing NCL."

      ::= { hprNclEntry  36 }

  hprNclInterSendHiFrames OBJECT-TYPE

      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of high priority frames sent to
              another local routing NCL."

      ::= { hprNclEntry  37 }

  hprNclInterSendMedFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of medium priority frames sent to
              another local routing NCL."

      ::= { hprNclEntry  38 }

  hprNclInterSendLoFrames OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of low priority frames sent to
              another local routing NCL."

      ::= { hprNclEntry  39 }

Expires November 10, 1996                                      [Page 35]

Internet Draft               SNANAU HPR MIB                     May 1996

  hprNclInterSendNetBytes OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of network priority bytes sent to
              another local routing NCL."

      ::= { hprNclEntry  40 }

  hprNclInterSendHiBytes OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of high priority bytes sent to
              another local routing NCL."

      ::= { hprNclEntry  41 }

  hprNclInterSendMedBytes  OBJECT-TYPE
      SYNTAX Counter32

      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of medium priority bytes sent to
              another local routing NCL."

      ::= { hprNclEntry  42 }

  hprNclInterSendLoBytes OBJECT-TYPE
      SYNTAX Counter32
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
             "The total number of low priority bytes sent to
              another local routing NCL."

      ::= { hprNclEntry  43 }

-- ***************************************************************
-- Conformance information
-- ***************************************************************

Expires November 10, 1996                                      [Page 36]

Internet Draft               SNANAU HPR MIB                     May 1996

hprConformance       OBJECT IDENTIFIER ::= { hprMIB 2 }

hprCompliances       OBJECT IDENTIFIER ::= { hprConformance 1 }
hprGroups            OBJECT IDENTIFIER ::= { hprConformance 2 }

-- Compliance statements

hprCompliance  MODULE-COMPLIANCE
      STATUS  current
      DESCRIPTION
                "The compliance statement for the SNMPv2 entities
                which implement the HPR MIB."
        MODULE  -- this module

--      Unconditionally mandatory groups
                MANDATORY-GROUPS  {
                        hprTransportUserConfGroup,
                        hprNclConfGroup
                 }

--      Conditionally mandatory groups
                GROUP  hprRtpConfGroup
              DESCRIPTION
                        "The hprRtpConfGroup is mandatory for HPR
                        implementations supporting the HPR transport
                        tower."

      ::= { hprCompliances 1 }

-- Units of conformance
hprTransportUserConfGroup OBJECT-GROUP
        OBJECTS  {
                hprNceType,
                hprNceDefault,
                hprNceInstanceId
                }
      STATUS  current
      DESCRIPTION
                "A collection of objects providing information on the
                users of the HPR transport known to the node."
      ::= { hprGroups 1 }

hprNclConfGroup OBJECT-GROUP
        OBJECTS  {
     hprNclGlobeCtrState,
     hprNclGlobeCtrStateTime,

Expires November 10, 1996                                      [Page 37]

Internet Draft               SNANAU HPR MIB                     May 1996

     hprNclGlobeAssignAnrs,
     hprUpTime,
     hprNclDlcRecvNetFrames,     -- dcl recv network frames
     hprNclDlcRecvHiFrames,      -- dcl recv high    frames
     hprNclDlcRecvMedFrames,     -- dcl recv medium  frames
     hprNclDlcRecvLoFrames,      -- dcl recv low     frames
     hprNclDlcRecvNetBytes,      -- dcl recv network bytes
     hprNclDlcRecvHiBytes,       -- dcl recv high    bytes
     hprNclDlcRecvMedBytes,      -- dcl recv medium  bytes
     hprNclDlcRecvLoBytes,       -- dcl recv low     bytes
     hprNclDlcRecvAnrErrors,     -- dcl recv anr errors
     -- send    frame/byte counters to   dlc by priority
     hprNclDlcSendNetFrames,     -- dcl send network frames
     hprNclDlcSendHiFrames,      -- dcl send high    frames
     hprNclDlcSendMedFrames,     -- dcl send medium  frames
     hprNclDlcSendLoFrames,      -- dcl send low     frames
     hprNclDlcSendNetBytes,      -- dcl send network bytes
     hprNclDlcSendHiBytes,       -- dcl send high    bytes
     hprNclDlcSendMedBytes,      -- dcl send medium  bytes
     hprNclDlcSendLoBytes,       -- dcl send low     bytes
     -- receive frame/byte counters from rtp by priority
     hprNclRtpRecvNetFrames,     -- rtp recv network frames
     hprNclRtpRecvHiFrames,      -- rtp recv high    frames
     hprNclRtpRecvMedFrames,     -- rtp recv medium  frames
     hprNclRtpRecvLoFrames,      -- rtp recv low     frames
     hprNclRtpRecvNetBytes,      -- rtp recv network bytes
     hprNclRtpRecvHiBytes,       -- rtp recv high    bytes
     hprNclRtpRecvMedBytes,      -- rtp recv medium  bytes
     hprNclRtpRecvLoBytes,       -- rtp recv low     bytes
     hprNclRtpRecvAnrErrors,     -- rtp recv anr errors
     -- send    frame/byte counters to   rtp by priority
     hprNclRtpSendNetFrames,     -- dcl send network frames
     hprNclRtpSendHiFrames,      -- dcl send high    frames
     hprNclRtpSendMedFrames,     -- dcl send medium  frames
     hprNclRtpSendLoFrames,      -- dcl send low     frames
     hprNclRtpSendNetBytes,      -- dcl send network bytes
     hprNclRtpSendHiBytes,       -- dcl send high    bytes
     hprNclRtpSendMedBytes,      -- dcl send medium  bytes
     hprNclRtpSendLoBytes,       -- dcl send low     bytes
     -- send    frame/byte counters to another local routing ncl
     hprNclInterSendNetFrames,   -- int send network frames
     hprNclInterSendHiFrames,    -- int send high    frames
     hprNclInterSendMedFrames,   -- int send medium  frames
     hprNclInterSendLoFrames,    -- int send low     frames
     hprNclInterSendNetBytes,    -- int send network bytes
     hprNclInterSendHiBytes,     -- int send high    bytes

Expires November 10, 1996                                      [Page 38]

Internet Draft               SNANAU HPR MIB                     May 1996

     hprNclInterSendMedBytes,    -- int send medium  bytes
     hprNclInterSendLoBytes      -- int send low     bytes
                }
      STATUS  current
      DESCRIPTION
                "A collection of objects providing instrumentation
                for the node's ANR routing."

      ::= { hprGroups 2 }

hprRtpConfGroup  OBJECT-GROUP
        OBJECTS  {
     hprRtpGlobeConnSetups,
     hprRtpGlobeCtrState,
     hprRtpGlobeCtrStateTime,
     hprRtpRemCpName,           -- remote cp name
     hprRtpRemNceId,            -- remote nce id
     hprRtpRemTcid,             -- remote tcid
     hprRtpForAnrString,        -- forward anr string
     hprRtpRscv,                -- rscv
     hprRtpTopic,               -- topic (cos)
     hprRtpState,               -- state
     hprRtpType,                -- type (reliable, etc)
     hprRtpUpTime,              -- up time

     hprRtpLivenessTimer,       -- liveness timer
     hprRtpShortReqTimer,       -- short request timer
     hprRtpPathSwTimer,         -- path switch timer

     hprRtpLivenessTimeouts,    -- liveness timeouts
     hprRtpShortReqTimeouts,    -- short request timeouts

     hprRtpMaxSendRate,         -- max send rate
     hprRtpMinSendRate,         -- min send rate
     hprRtpCurSendRate,         -- cur send rate

     hprRtpSmRdTripDelay,       -- smooth round trip delay

     hprRtpRecvFrames,          -- total frames recv
     hprRtpSendFrames,          -- total frames sent
     hprRtpRecvBytes,           -- total bytes  recv
     hprRtpSendBytes,           -- total bytes  sent

     hprRtpRetrFrames,          -- total frames retran
     hprRtpDetectGaps,          -- total gaps detected
     hprRtpRateReqSends,        -- total rate req send

Expires November 10, 1996                                      [Page 39]

Internet Draft               SNANAU HPR MIB                     May 1996

     hprRtpOkErrPathSws,        -- ok  err path sws
     hprRtpBadErrPathSws,       -- bad err path sws
     hprRtpOkOpPathSws,         -- ok  op  path sws
     hprRtpBadOpPathSws,        -- bad op  path sws

     hprRtpStTime,              -- time stamp
     hprRtpStRemNceId,          -- remote nce id
     hprRtpStRemTcid,           -- remote tcid
     hprRtpStRemCpName,         -- remote cp name
     hprRtpStNewForAnrStr,      -- new forward anr string
     hprRtpStNewRscv,           -- new rscv
     hprRtpStOldForAnrStr,      -- old forward anr string
     hprRtpStOldRscv,           -- old rscv
     hprRtpStCause,             -- cause
     hprRtpStResult             -- result

                }
      STATUS  current
      DESCRIPTION
                "A collection of objects providing the
                instrumentation for RTP connection end points."
      ::= { hprGroups 3 }

-- end of conformance statement

END

Expires November 10, 1996                                      [Page 40]

Internet Draft               SNANAU HPR MIB                     May 1996

6.  Acknowledgments

This MIB module is the product of the IETF SNA NAU MIB WG and the AIW
APPN/HPR MIBs SIG.  Thanks to Ray Bird, IBM Corporation; Jim Cobban,
Nortel; and Laura Petrie, IBM Corporation, for their contributions and
review.

7.  References

[1]  SNMPv2 Working Group, Case, J., McCloghrie, K., Rose, M., and S.
     Waldbusser, "Structure of Management Information for version 2 of
     the Simple Network Management Protocol (SNMPv2)", RFC 1902, January
     1996.

[2]  SNMPv2 Working Group, Case, J., McCloghrie, K., Rose, M., and S.
     Waldbusser, "Textual Conventions for Version 2 of the Simple
     Network Management Protocol (SNMPv2)", RFC 1903, January 1996.

[3]  SNMPv2 Working Group, Case, J., McCloghrie, K., Rose, M., and S.
     Waldbusser, "Conformance Statements for Version 2 of the Simple
     Network Management Protocol (SNMPv2)", RFC 1904, January 1996.

[4]  Clouston, B., and B. Moore, "Definition of Managed Objects for
     APPN", Cisco Systems, IBM Corporation, April 1996.

[5]  ftp://networking.raleigh.ibm.com/pub/standards/aiw/appn/hpr/hpr6.psbin

Expires November 10, 1996                                      [Page 41]

Internet Draft               SNANAU HPR MIB                     May 1996

8.  Security Considerations

Security issues are not discussed in this memo.

9.  Authors' Addresses

Bob Clouston
Cisco Systems
7025 Kit Creek Road
P.O. Box 14987
Research Triangle Park, NC 27709, USA

Tel:    1 919 472 2333
E-mail: [email-masked]

Bob Moore
IBM Corporation
800 Park Offices Drive
CNMA/664
P.O. Box 12195
Research Triangle Park, NC 27709, USA

Tel:    1 919 254 4436
E-mail: [email-masked]

Expires November 10, 1996                                      [Page 42]

Internet Draft               SNANAU HPR MIB                     May 1996

10.  Table of Contents

   1.     Status of this Memo  ....................................  1
   2.     Introduction  ...........................................  1
   3.     The SNMPv2 Network Management Framework  ................  2
   4.     Overview  ...............................................  2
   4.1      HPR MIB structure .....................................  3
   5.     Definitions  ............................................  6
   6.     Acknowledgments  ........................................  41
   7.     References  .............................................  41
   8.     Security Considerations  ................................  42
   9.     Author's Addresses  .....................................  42

Expires November 10, 1996                                      [Page 43]